GET https://api.d-tools.com/SI/Subscribe/ServicePlans?clients[0]={clients[0]}&clients[1]={clients[1]}&statuses[0]={statuses[0]}&statuses[1]={statuses[1]}&includeImported={includeImported}&searchText={searchText}&includeDeleted={includeDeleted}&pageNumber={pageNumber}&pageSize={pageSize}
Get service plans published by a SI user
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| clients |
Clients to filter service plans (Optional) |
Collection of string |
None. |
| statuses |
Statuses to filter servic plans (Optional) |
Collection of string |
None. |
| includeImported |
Boolean. Include already imported service plans. Optional with default value false which means by default you will only see service plans which are not imported. |
boolean |
Default value is False |
| searchText |
The search text. |
string |
None. |
| includeDeleted |
Boolean. Include servic plan deleted in SI. Optional with default value false which means by default you will only see active servic plans which are not deleted. |
boolean |
Default value is False |
| pageNumber |
The page number. |
integer |
Default value is 1 |
| pageSize |
The page size. |
integer |
Default value is 50 |
Body Parameters
None.
Response Information
Resource Description
ServicePlansResult| Name | Description | Type | Additional information |
|---|---|---|---|
| ServicePlans |
Service plans array |
Collection of ServicePlanInfo |
None. |
| TotalCount |
Total count of service plans |
integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"ServicePlans": [
{
"Id": "sample string 1",
"Client": "sample string 2",
"Number": "sample string 3",
"Name": "sample string 4",
"Status": "sample string 5",
"Description": "sample string 6",
"ImportedOn": "2026-06-18T01:26:53.5195856+00:00",
"PublishedOn": "2026-06-18T01:26:53.5195856+00:00",
"Deleted": true
},
{
"Id": "sample string 1",
"Client": "sample string 2",
"Number": "sample string 3",
"Name": "sample string 4",
"Status": "sample string 5",
"Description": "sample string 6",
"ImportedOn": "2026-06-18T01:26:53.5195856+00:00",
"PublishedOn": "2026-06-18T01:26:53.5195856+00:00",
"Deleted": true
}
],
"TotalCount": 1
}